=== debian/changelog ===
cobbler (2.4.0-0ubuntu3) saucy; urgency=low

  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 12 Sep 2013 14:45:41 +0300

cobbler (2.4.0-0ubuntu2) saucy; urgency=low

  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 19:32:56 +0300

cobbler (2.4.0-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 18:54:28 +0300

cobbler (2.4.0-1) UNRELEASED; urgency=low

  * New upstream release.
    - works with python-django 1.4 and up (LP: #1076290)
    - cobbler system edit emits an error on failure (LP: #1015678)
    - rework power commands to not allow command injection (LP: #978999)
  * Dropped patches:
    - 12_fix_dhcp_restart.patch: obsolete.
    - 21_cobbler_use_netboot.patch: obsolete
    - 34_fix_apache_wont_start.patch: obsolete
    - 39_cw_remove_vhost.patch: obsolete
    - 42_fix_repomirror_create_sync.patch: upstream
    - 43_fix_reposync_env_variable.patch: upstream
    - 45_add_gpxe_support.patch: implemented differently upstream
    - 47_ubuntu_add_codenames.patch: obsolete
    - 48_ubuntu_mini_iso_autodetect.patch: obsolete
    - 51_koan_grub2_instead_of_grubby.patch: upstream
    - 53_sample_preseed_kopts_postinst.patch: upstream
    - 54_koan_fix_tree_when_ksmeta.patch: upstream
    - 56_ubuntu_arm_generate_pxe_files.patch: upstream
    - 57_ubuntu_dnsmasq_domain.patch: obsolete
    - 58_fix_egg_cache.patch: upstream
    - 60_yaml_safe_load.patch: upstream
    - 62_profile_hostname_no_underscore.patch: upstream
    - 64_ubuntu_cobbler_check_disable_loaders.patch: ubuntuism
    - 67_ubuntu_online_doc_link.patch: ubuntuism
    - 69_issue93_fix_trace_in_write_pxe_file.patch: upstream
    - 72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
      upstream
  * rules: Replace the old get-orig-source target with gentarball, which
    generates the tarball from the upstream git branch.
  * cobbler-common.install: Install the correct gpxe template.
  * cobbler.postinst: Enable mod_rewrite.
  * Refresh patches.
  * rules: Use --list-missing for dh_install.
  * Migrate /usr/share/cobbler/webroot to /var/lib/cobbler/webroot.
  * rules, cobbler-common.install: Remove some files from the tmpdir that
    are not needed in the package(s), and let cobbler-common include
    everything left in etc/cobbler.
  * control: Bump policy to 3.9.4, no changes.
  * cobbler.install, control: Install cobbler(1) with the binary, replace old
    cobbler-common.
  * cobbler.install: Include ovz-install.
  * cobbler-common.install, 65_ubuntu_disable_pxe_snippet.patch: Replace
    the patch with snippet/disable_pxe, which is included in cobbler-common.
  * gbp.conf: Added.
  * python-cobbler.install: Install egg-info.
  * fix-invalid-input-type.diff: Backported patch from upstream to fix
    imports.
  * fix-signatures.diff: Add saucy, and allow importing mini-iso's.
  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.
  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Nov 2012 11:13:11 +0200
