=== debian/control ===
Source: cobbler
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
Build-Depends: debhelper (>= 7.0.50),
 po-debconf,
 python-all,
 python-cheetah, 
 python-yaml, 
 git-core, 
 python-setuptools,
 python-netaddr,
 python-nose,
 python-simplejson,
XS-Python-Version: 2.7
Standards-Version: 3.9.4
Homepage: https://fedorahosted.org/cobbler

Package: cobbler
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 apache2,
 hardlink,
 libapache2-mod-wsgi,
 lsb-release,
 openssl,
 python,
 python-twisted,
 rsync,
 syslinux | syslinux-common,
 libapache2-mod-wsgi,
 libapache2-mod-python,
 cobbler-common (= ${binary:Version}),
 distro-info
Replaces: cobbler-common (<< 2.4.0-1)
Recommends: fence-agents,
            powerwake,
            tftpd-hpa
Suggests: createrepo,
 bind9,
 debmirror,
 dhcp3-server,
 genisoimage,
Description: Install server
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes
 use a helper tool, 'koan', that integrates with cobbler. Cobbler's
 advanced features include importing distributions from DVDs and rsync
 mirrors, kickstart templating, integrated yum mirroring, and built-in
 DHCP/DNS Management. Cobbler has a Python and XMLRPC API for
 integration with other applications. There is also a web interface.

Package: python-cobbler
Section: python
Architecture: all
Depends: ${python:Depends}, 
 python-yaml, 
 python-netaddr, 
 python-cheetah, 
 python-simplejson, 
 python-urlgrabber, 
 python-django (>= 1.2),
 python-distro-info,
 ${misc:Depends}
Provides: ${python:Provides}
Description: Install server - python libraries.
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes use
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
 features include importing distributions from DVDs and rsync mirrors,
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
 Management. Cobbler has a Python and XMLRPC API for integration with other
 applications. There is also a web interface.
 .
 This package includes the cobbler python modules.

Package: cobbler-common
Architecture: all
Depends: ${misc:Depends},
 python-cobbler (= ${binary:Version})
Provides: ${python:Provides}
Description: Cobbler Install server - common files
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the common files.

Package: cobbler-web
Architecture: all
Depends: cobbler (= ${binary:Version} ),
 cobbler-common (= ${binary:Version} ),
 ${misc:Depends},
 openssl,
Provides: ${python:Provides}
Description: Cobbler Install server - web interface
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the web interface and its corresponding
 configuration files.

Package: koan
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-koan, libvirt-bin, virtinst
Description: kickstart-over-a-network (koan)
 Koan stands for kickstart-over-a-network and allows for both network 
 installation of new virtualized guests and re-installation of an existing 
 system.  For use with a boot-server configure with Cobbler.

Package: python-koan
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-libvirt,
 python-simplejson,
 python-urlgrabber,
 python-ethtool
Provides: ${python:Provides}
Conflicts: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
Replaces: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
Description: kickstart-over-a-network (koan) - python libraries
 Koan stands for kickstart-over-a-network and allows for both network
 installation of new virtualized guests and re-installation of an existing
 system.  For use with a boot-server configure with Cobbler.
 .
 This package includes the koan python modules.
