## cobbler 2.4.1

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 	-rm -f cobbler/*.pyc
 	-rm -rf dist
 	-rm -rf buildiso
-	-rm MANIFEST
+	-rm -f MANIFEST
 	-rm -f koan/*.pyc
 	-rm -f config/version
 	-rm -f docs/*.1.gz 
-	-rm *.tmp
-	-rm *.log
+	-rm -f *.tmp
+	-rm -f *.log
 
 test:
 	make savestate prefix=test
@@ -93,15 +93,15 @@
 	if [ -n "`getent passwd apache`" ] ; then \
 		chown -R apache /var/www/cobbler; \
 	else \
-		chown -R www-data /usr/share/cobbler/webroot/cobbler; \
+		chown -R www-data /usr/share/cobbler/web/cobbler_web; \
 	fi
 	if [ -d /var/www/cobbler ] ; then \
 		chmod -R +x /var/www/cobbler/web; \
 		chmod -R +x /var/www/cobbler/svc; \
 	fi
-	if [ -d /usr/share/cobbler/webroot ] ; then \
-		chmod -R +x /usr/share/cobbler/webroot/cobbler/web; \
-		chmod -R +x /usr/share/cobbler/webroot/cobbler/svc; \
+	if [ -d /usr/share/cobbler/web ] ; then \
+		chmod -R +x /usr/share/cobbler/web/cobbler/cobbler_web; \
+		chmod -R +x /srv/www/cobbler/svc; \
 	fi
 	rm -rf $(statepath)
 
@@ -151,5 +151,6 @@
 	-rm /var/lib/cobbler/config/repos.d/*
 	-rm /var/lib/cobbler/config/networks.d/*
 
-tags:
-	find . -type f -name '*.py' | xargs etags -c TAGS
+.PHONY: tags
+tags: 
+	find . \( -name build -o -name .git \) -prune -o -type f -name '*.py' -print | xargs etags -o TAGS --
