=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cobbler
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
-Build-Depends: debhelper (>= 7.0.50),
+Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
+Build-Depends: debhelper (>= 9),
  po-debconf,
  python-all,
  python-cheetah, 
@@ -14,8 +13,10 @@
  python-nose,
  python-simplejson,
 XS-Python-Version: 2.7
-Standards-Version: 3.9.4
-Homepage: https://fedorahosted.org/cobbler
+Standards-Version: 3.9.5
+Homepage: https://cobbler.github.com
+Vcs-Git: git://anonscm.debian.org/collab-maint/cobbler.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cobbler.git
 
 Package: cobbler
 Architecture: all
@@ -23,6 +24,7 @@
  apache2,
  hardlink,
  libapache2-mod-wsgi,
+ libjs-jquery,
  lsb-release,
  openssl,
  python,
@@ -97,6 +99,7 @@
  cobbler-common (= ${binary:Version} ),
  ${misc:Depends},
  openssl,
+ apache2-utils,
 Provides: ${python:Provides}
 Description: Cobbler Install server - web interface
  Cobbler is a network install server. Cobbler supports PXE, virtualized
