=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,11 @@
 		etc/cobbler/cobblerd.service \
 		etc/cobbler/distro_signatures.json \
 		etc/cobbler/users.digest \
+		var/lib/cobbler/webroot/cobbler_webui_content/jquery.min.js \
 		;do rm -f $(CURDIR)/debian/tmp/$$i; done
+	# link to the system jquery.min.js
+	ln -s -t $(CURDIR)/debian/tmp/var/lib/cobbler/webroot/cobbler_webui_content \
+		/usr/share/javascript/jquery/jquery.min.js
 
 	dh_install --list-missing
