=== debian/changelog ===
cobbler (2.6.6+dfsg1-13) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added /etc/cobbler/pxe template files.
  * Use dnsmasq instead of bind and isc-dhcp by default.
  * Add debian/dnsmasq.upstream directly in cobbler-common, so the user doesn't
    have to manually copy it.
  * Add bind9utils and bind9host as depends in cobbler.
  * Fix /etc/cobbler/settings @@webroot@@ to be the full path.
  * Remove add-trusty.patch (applied upstream).
  * Set 10.20.0.2 as default server: and next_server: directives.
  * Switch to openstack-pkg-tools for the startup scripts, so that Cobbler has
    support for upstart, sysv-rc and systemd.
  * Removed $named form init script.
  * Fixed Apache access rights to /cobbler_webui_content.
  * Fixed unix rights of /etc/cobbler/settings.
  * Removed wrong patch of cobbler/web/cobbler_web/views.py.
  * Added patches:
    - fixed-failed_to_read_cobbler.1.gz.patch (Closes: #839325).
    - remove_cobblerd.org_references.patch (Closes: #830302).
  * Fixed incorrectly builds power templates into pxe directory
    (Closes: #830505).
  * Add patch to make Cobbler reproducible (Closes: #831214).
  * Do not run unit tests, they are in fact functional tests, and cannot be
    ran at build time (Closes: #831213).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2016 20:49:50 +0800

cobbler (2.6.6+dfsg1-12) unstable; urgency=medium

  * koan now depends on libvirt-daemon-system instead of libvirt-bin.
    (Closes: #809418)

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jan 2016 16:14:37 +0800

cobbler (2.6.6+dfsg1-11) unstable; urgency=medium

  * Added Danish translation of the debconf templates thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #790070).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jun 2015 10:12:36 +0200

cobbler (2.6.6+dfsg1-10) unstable; urgency=medium

  * Added translation of debconf messages:
    - Dutch thanks to Frans Spiesschaert (Closes: #789280).
    - Brazilian Portuguese thanks to Adriano Rafael Gomes (Closes: #789507).
    - Spanish thanks to jathan (Closes: #789962).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:03:21 +0200

cobbler (2.6.6+dfsg1-9) unstable; urgency=medium

  * Added French debconf templates translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789031).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 15:30:33 +0200

cobbler (2.6.6+dfsg1-8) unstable; urgency=medium

  * Added Russian debconf templates translation thanks to Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #788512).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:53:54 +0200

cobbler (2.6.6+dfsg1-7) unstable; urgency=medium

  * Added German debconf translation thanks to Pfannenstein Erik
    <debianignatz@gmx.de> (Closes: #788490).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:33:51 +0200

cobbler (2.6.6+dfsg1-6) unstable; urgency=medium

  * Purges /etc/cobbler/{users.digest,settings} on purge (Closes: #787835).
  * Updated pt.po debconf translation (Closes: #788368).
  * Initial Initial Czech PO debconf translation (Closes: #788329).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:20:14 +0200

cobbler (2.6.6+dfsg1-5) unstable; urgency=medium

  * Fixes debconf templates and short+long descriptions reviewed by the Debian
    English team (Closes: #785072).
  * Ran debconf-updatepo.
  * Fixed wrong name for template in cobbler.postinst (Closes: #787831).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jun 2015 20:17:47 +0200

cobbler (2.6.6+dfsg1-4) unstable; urgency=medium

  * Removed the hack about configuring only on first install, which is IMO a
    policy violation. Hopefully, the package should be policy compliant now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 May 2015 16:37:17 +0000

cobbler (2.6.6+dfsg1-3) unstable; urgency=medium

  * Now using 2 different debconf entries for the 2 directives.
  * Added corrections for the debconf text thanks to the review from
    the english team (Closes: #785072).
  * Fixed bash completion installation folder.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 May 2015 18:22:29 +0200

cobbler (2.6.6+dfsg1-2) unstable; urgency=medium

  * Added pt.po Portuguese translation of Debconf (Closes: #784698).
  * Fixed  cobbler: modifies conffiles (policy 10.7.3):
    /etc/cobbler/{users.digest, settings} (Closes: #784253).
  * Added libapache2-mod-wsgi as Depends: for cobbler-web (Closes: #784255).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:08:51 +0200

cobbler (2.6.6+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #545583)

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Feb 2015 15:00:58 +0000
