=== debian/control ===
Source: cobbler
Section: admin
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python,
               openstack-pkg-tools (>= 39~),
               git-core,
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: lsb-release,
                     python-cheetah,
                     python-netaddr,
                     python-nose,
                     python-simplejson,
                     python-twisted,
                     python-urlgrabber,
                     python-yaml
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/cobbler.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/cobbler.git
Homepage: http://www.cobblerd.org

Package: python-cobbler
Section: python
Architecture: all
Depends: hardlink,
         lsb-release,
         openssl,
         python-cheetah,
         python-distro-info,
         python-django,
         python-netaddr,
         python-simplejson,
         python-twisted,
         python-urlgrabber,
         python-yaml,
         rsync,
         ${misc:Depends},
         ${python:Depends}
Description: network boot, install, and update server - Python modules
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the Python libraries for Cobbler.

Package: cobbler-common
Architecture: all
Depends: adduser, syslinux-common, python-cobbler (= ${binary:Version}), ${misc:Depends}
Provides: ${python:Provides}
Description: network boot, install, and update server - common files
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the common files.

Package: cobbler-web
Architecture: all
Depends: apache2,
         apache2-utils,
         libapache2-mod-wsgi,
         openssl,
         cobbler-common (= ${binary:Version} ),
         ${misc:Depends}
Provides: ${python:Provides}
Description: network boot, install, and update server - web interface
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the web interface and its configuration files.

Package: cobbler
Architecture: all
Depends: adduser,
         apache2,
         apache2-utils,
         bind9utils,
         bind9-host,
         debmirror,
         hardlink,
         libapache2-mod-wsgi,
         libjs-jquery,
         libjs-jquery-ui,
         cobbler-common (= ${binary:Version}),
         syslinux | syslinux-common,
         tftpd-hpa,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Recommends: dnsmasq,
            fence-agents,
            powerwake,
Suggests: bind9,
          createrepo,
          dhcp3-server,
          genisoimage,
          mkisofs-hpa,
          rsync,
Description: network boot, install, and update server - daemon
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the Cobbler daemon.

Package: python-koan
Section: python
Architecture: all
Depends: python-ethtool,
         python-libvirt,
         python-simplejson,
         python-urlgrabber,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Kickstart-Over-A-Network - Python libraries
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 Koan, "Kickstart-Over-A-Network", is a Cobbler client that supports
 virtualized guest installs and reinstalling existing Linux machines.
 .
 This package provides the Python libraries for koan.

Package: koan
Architecture: all
Depends: libvirt-daemon-system,
         lvm2,
         python,
         python-netaddr,
         python-yaml,
         syslinux | syslinux-common,
         virtinst,
         python-koan (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: createrepo, dhcp3-server, mkisofs-hpa, rsync, selinux-utils, tftpd-hpa
Description: kickstart-over-a-network (koan)
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 Koan, "Kickstart-Over-A-Network", is a Cobbler client that supports
 virtualized guest installs and reinstalling existing Linux machines.
