=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/cobbler/cobbler/tags .*/v(\d[\d\.]*)\.tar\.gz
